> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes.md).

# Classes

L’espace de noms [medcrypt ](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt.md)contient l’espace de noms [guardian](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md), qui comprend les classes, structures et énumérations suivantes :

## **Classes principales**

* [Guardian](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md) classe :
  * **Description :** Racine du système Guardian.
  * **Emplacement :** medcrypt::guardian::Guardian
* [AuthenticationManager](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-authenticationmanager.md) classe :
  * **Description :** Conteneur des restrictions d’authentification.
  * **Emplacement :** medcrypt::guardian::AuthenticationManager
* [ChannelGuard](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-channelguard.md) classe :
  * **Description :** Canal nommé au sein d’une [Session](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-session.md).
  * **Emplacement :** medcrypt::guardian::ChannelGuard
* [SecureOperation](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-secureoperation.md) classe :
  * **Description :** Opération autonome nommée.
  * **Emplacement :** medcrypt::guardian::SecureOperation
* [Service](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md) classe :
  * **Description :** Groupe nommé de configurations de connexion et de canal.
  * **Emplacement :** medcrypt::guardian::Service
* [Session](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-session.md) classe :
  * **Description :** Connexion individuelle au sein d’un [Service](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md).
  * **Emplacement :** medcrypt::guardian::Session
* [Task](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-task.md) classe :
  * **Description :** Conteneur de multithreading.
  * **Emplacement :** medcrypt::guardian::Task
* [TransportInterface](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md) classe :
  * **Description :** [ConfigureTransport()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md#function-configuretransport) interface requise.
  * **Emplacement :** medcrypt::guardian::TransportInterface

## **Structures de données**

* [AuthenticationDomain](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md) structure :
  * **Description :** Conteneur de restrictions d’authentification. Restrictions destinées à être utilisées par un agent d’authentification.
  * **Emplacement :** medcrypt::guardian::AuthenticationDomain
* [InitializeOptions](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-initializeoptions.md) structure :
  * **Description :** Options utilisées par [Initialize()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-initialize) lors de la configuration.
  * **Emplacement :** medcrypt::guardian::InitializeOptions
* [ProvisioningOptions](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-provisioningoptions.md) structure :
  * **Description :** Options utilisées par [StartProvisioningOnline()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-startprovisioningonline).
  * **Emplacement :** medcrypt::guardian::ProvisioningOptions

### Espace de noms et structures utilitaires

L’ [espace de noms guardian](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md) comprend également l’ [espace de noms](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-utilities.md) utilities, qui comprend les structures suivantes :

* [InitializeFiles](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md) structure :
  * **Description :** Stockage des fichiers d’initialisation utilisés par [Initialize()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-initialize).
  * **Emplacement :** medcrypt::guardian::utilities::InitializeFiles
* [ProvisionFiles](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md) structure :
  * **Description :** Stockage permettant de générer les fichiers de demande de provisionnement dans [GenerateProvisionRequest()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-generateprovisionrequest).
  * **Emplacement :** medcrypt::guardian::utilities::ProvisionFiles
* [ProvisionOnlineFiles](/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md) struct:
  * **Description :** Stockage des fichiers de provisionnement en ligne dans [StartProvisioningOnline()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#function-startprovisioningonline).
  * **Emplacement :** medcrypt::guardian::utilities::ProvisionOnlineFiles

## **Autres espaces de noms**

* [AuthenticationAllowDenyEnum](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md) espace de noms :
  * **Description :** Détermine si une liste spécifiée est une liste d’autorisation ou une liste de refus.
  * **Emplacement :** medcrypt::guardian::AuthenticationAllowDenyEnum
* [GuardianStatusEnum](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md) espace de noms :
  * **Description :** Codes d’état renvoyés par les fonctions Guardian.
  * **Emplacement :** medcrypt::guardian::GuardianStatusEnum
* [LogLevelEnum](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-loglevelenum.md) espace de noms :
  * **Description :** Niveaux de journalisation renvoyés par les fonctions Guardian.
  * **Emplacement :** medcrypt::guardian::LogLevelEnum


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
